#include <iostream>
#include<vector>
using namespace std;
int main()
{
    long long N, L;
   
    cin >> N >> L;
    vector<long long> v(N);
    long long k;
    for (long long i=0; i < N; i++) {
        
        cin >> k;
        v[i] = k;
    }

    

    long long kraj = -1;
    

    for (long long i=0; i < N; i++) {

            if (v[i] <= L) {
                kraj = i + 1;
                break;
            }
     }
    
    
    std::cout <<kraj;

}